swagger: '2.0'
info:
  description: TBD
  version: 1.1.4
  title: FORGE playground example 1
  termsOfService: 'http://www.etsi.org/terms-of-use'
  contact:
    email: cti_support@etsi.org
  license:
    name: ETSI
    url: 'http://www.etsi.org/terms-of-use'
host: forge.etsi.org
basePath: /v1
schemes:
  - http
paths:
  /standard:
    get:
      summary: Query Standards
      description: ''
      operationId: queryStandards
      consumes:
        - application/json
        - application/xml
      produces:
        - application/xml
        - application/json
      parameters:
        - in: body
          name: body
          description: Standards request object structure
          schema:
            type: object
            required:
              - keyword
            properties:
              keyword:
                type: string
                example: ITS
                externalDocs:
                  description: Find out more about ETSI Forge
                  url: 'http://etsi.org'
      responses:
        '200':
          description: Invalid input
          schema:
            type: object
            properties:
              id:
                type: integer
                format: int64
              title:
                type: string
                example: ETSI EN 302 636-4-1
              url:
                type: string
                xml:
                  name: url
                  wrapped: true
              status:
                type: string
                description: Status of the standard
                enum:
                  - Draft
                  - Approval
                  - Published
                xml:
                  name: Standard
        '404':
          description: not found
  /author:
    get:
      summary: Get list of authors
      responses:
        '200':
          description: List of authors registered
    post:
      summary: Add a new author
      responses:
        '201':
          description: A new author is created
        '401':
          description: An error occurred
definitions:
  Standard:
    type: object
    properties:
      id:
        type: integer
        format: int64
      title:
        type: string
        example: ETSI EN 302 636-4-1
      url:
        type: string
        xml:
          name: url
          wrapped: true
      status:
        type: string
        description: Status of the standard
        enum:
          - Draft
          - Approval
          - Published
        xml:
          name: Standard
  StandardRequest:
    type: object
    required:
      - keyword
    properties:
      keyword:
        type: string
        example: ITS
        externalDocs:
          description: Find out more about ETSI Forge
          url: 'http://etsi.org'

